#pragma once

#include "CoreMinimal.h"
#include "CursedItemFactor.generated.h"

USTRUCT(BlueprintType)
struct FCursedItemFactor
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool EmptyWeightWhenConditionMet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float IncreaseWeightWhenConditionMet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName RemainingFuelGeneratorPercentBBKey;

public:
	DEADBYDAYLIGHT_API FCursedItemFactor();
};

FORCEINLINE uint32 GetTypeHash(const FCursedItemFactor) { return 0; }
